package com.zehong.system.domain.baseinfo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

import java.util.Arrays;
import java.util.Date;

/**
 * 员工信息管理对象 t_staff
 *
 * @author zehong
 * @date 2022-06-17
 */
public class TStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**系统用户id*/
    private Integer userId;
    /** 员工id */
    private Integer staffId;

    /**用户账号*/
    private String userName;

    /**用户密码*/
    private String password;

    /** 姓名 */
    @Excel(name = "姓名")
    private String staffName;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffCode;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 部门id */
    @Excel(name = "部门id")
    private Integer deptId;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 岗位id */
    @Excel(name = "岗位id")
    private Integer postId;
    /** 角色组 */
    private Long[] roleIds;


    /** 角色id */
    @Excel(name = "角色id")
    private Integer roleId;

    /** 职称 */
    @Excel(name = "职称")
    private String positionalTitles;

    /** 工种 */
    @Excel(name = "工种")
    private String profession;

    /** 是否特殊作业人员 */
    @Excel(name = "是否特殊作业人员")
    private String specialOperators;

    /** 证书路径 */
    @Excel(name = "证书路径")
    private String certificateUrl;

    /** 证书名称 */
    @Excel(name = "证书名称")
    private String certificateName;

    /** 证书有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "证书有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectiveDate;

    /** 删除标志（0正常，1删除） */
    @Excel(name = "删除标志", readConverterExp = "0=正常，1删除")
    private String isDel;


    public Long[] getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(Long[] roleIds) {
        this.roleIds = roleIds;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public void setStaffId(Integer staffId) {
        this.staffId = staffId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setStaffId(int staffId)
    {
        this.staffId = staffId;
    }

    public int getStaffId()
    {
        return staffId;
    }
    public void setStaffName(String staffName)
    {
        this.staffName = staffName;
    }

    public String getStaffName()
    {
        return staffName;
    }
    public void setStaffCode(String staffCode)
    {
        this.staffCode = staffCode;
    }

    public String getStaffCode()
    {
        return staffCode;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setDeptId(Integer deptId)
    {
        this.deptId = deptId;
    }

    public Integer getDeptId()
    {
        return deptId;
    }
    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setPostId(Integer postId)
    {
        this.postId = postId;
    }

    public Integer getPostId()
    {
        return postId;
    }
    public void setRoleId(Integer roleId)
    {
        this.roleId = roleId;
    }

    public Integer getRoleId()
    {
        return roleId;
    }
    public void setPositionalTitles(String positionalTitles)
    {
        this.positionalTitles = positionalTitles;
    }

    public String getPositionalTitles()
    {
        return positionalTitles;
    }
    public void setProfession(String profession)
    {
        this.profession = profession;
    }

    public String getProfession()
    {
        return profession;
    }
    public void setSpecialOperators(String specialOperators)
    {
        this.specialOperators = specialOperators;
    }

    public String getSpecialOperators()
    {
        return specialOperators;
    }
    public void setCertificateUrl(String certificateUrl)
    {
        this.certificateUrl = certificateUrl;
    }

    public String getCertificateUrl()
    {
        return certificateUrl;
    }
    public void setCertificateName(String certificateName)
    {
        this.certificateName = certificateName;
    }

    public String getCertificateName()
    {
        return certificateName;
    }
    public void setEffectiveDate(Date effectiveDate)
    {
        this.effectiveDate = effectiveDate;
    }

    public Date getEffectiveDate()
    {
        return effectiveDate;
    }
    public void setIsDel(String isDel)
    {
        this.isDel = isDel;
    }

    public String getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return "TStaff{" +
                "userId=" + userId +
                ", staffId=" + staffId +
                ", userName='" + userName + '\'' +
                ", password='" + password + '\'' +
                ", staffName='" + staffName + '\'' +
                ", staffCode='" + staffCode + '\'' +
                ", sex='" + sex + '\'' +
                ", deptId=" + deptId +
                ", phonenumber='" + phonenumber + '\'' +
                ", postId=" + postId +
                ", roleIds=" + Arrays.toString(roleIds) +
                ", roleId=" + roleId +
                ", positionalTitles='" + positionalTitles + '\'' +
                ", profession='" + profession + '\'' +
                ", specialOperators='" + specialOperators + '\'' +
                ", certificateUrl='" + certificateUrl + '\'' +
                ", certificateName='" + certificateName + '\'' +
                ", effectiveDate=" + effectiveDate +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
